/* ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is bosskey.
 *
 * The Initial Developer of the Original Code is
 * K'.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 * 
 * ***** END LICENSE BLOCK ***** */
function bosskeysetoptions(BossKeyComponent,showerror,keyhideerrorstring,keyshowerrorstring,closealltext)
{
	var bosskeypref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("extensions.bosskey.");
	BossKeyComponent.keyctl=bosskeypref.getBoolPref("keyctl");
	BossKeyComponent.keyalt=bosskeypref.getBoolPref("keyalt");
	BossKeyComponent.keyshift=bosskeypref.getBoolPref("keyshift");
	BossKeyComponent.keywin=bosskeypref.getBoolPref("keywin");
	var keyhideerror=BossKeyComponent.keyhide(bosskeypref.getCharPref("keyhide"));
	var keyshowerror=BossKeyComponent.keyshow(bosskeypref.getCharPref("keyshow"));
	BossKeyComponent.minitray=bosskeypref.getBoolPref("minitray");;
	BossKeyComponent.closetotray=bosskeypref.getBoolPref("closetotray");
	BossKeyComponent.limitmen=bosskeypref.getIntPref("limitmen");
	BossKeyComponent.limitmentime=bosskeypref.getIntPref("limitmentime");
	BossKeyComponent.alpha=bosskeypref.getIntPref("alpha");
	BossKeyComponent.traystate=bosskeypref.getIntPref("traystate");
	BossKeyComponent.hidetraywhenbosskey=bosskeypref.getBoolPref("hidetraywhenbosskey");
	if(closealltext != false)
	{
		BossKeyComponent.closealltext=closealltext;
	}
	if(showerror)
	{
		if(keyhideerror == false)
		{
			alert(keyhideerrorstring);
		}
		if(keyshowerror == false)
		{
			alert(keyshowerrorstring);
		}
	}
}
function onbosskeyaccept(keyhideerrorstring,keyshowerrorstring)
{
	var BossKeyComponent=Components.classes['@mozine.cn/bosskey;1'].getService(Components.interfaces.nsIBossKey);
	bosskeysetoptions(BossKeyComponent,true,keyhideerrorstring,keyshowerrorstring,false);
}
function bosskeyload(closealltext)
{
	netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	var BossKeyComponent = Components.classes['@mozine.cn/bosskey;1'].getService(Components.interfaces.nsIBossKey);
	if(BossKeyComponent.init())
	{
		bosskeysetoptions(BossKeyComponent,false,"","",closealltext);
	}
}
